Bug 46115 - erlang: Multiple issues (4.2)
erlang: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 12:53 CET by Philipp Hahn
Modified: 2018-05-08 14:56 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.5 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:L/A:N)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-01-23 12:53:04 CET
erlang (1:19.2.1+dfsg-2+deb9u1) stretch-security; urgency=high

  * Applied a patch from the upstream which fixes CVE-2017-1000385
    vulnerability (TLS server vunlerable to Adaptive Chosen Ciphertext attack
    allowing plaintext recovery ot MITM attack).
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:41 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:56:18 CEST
--- mirror/ftp/4.2/unmaintained/4.2-2/source/erlang_17.3-dfsg-4+deb8u1.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/erlang_17.3-dfsg-4+deb8u2.dsc
@@ -1,3 +1,9 @@
+1:17.3-dfsg-4+deb8u2 [Wed, 06 Dec 2017 09:50:47 +0300] Sergei Golovan <sgolovan@debian.org>:
+
+  * Applied a patch from the upstream which fixes CVE-2017-1000385
+    vulnerability (TLS server vunlerable to Adaptive Chosen Ciphertext attack
+    allowing plaintext recovery ot MITM attack).
+
 1:17.3-dfsg-4+deb8u1 [Mon, 24 Apr 2017 09:13:29 +0300] Sergei Golovan <sgolovan@debian.org>:
 
   * Applied a patch from the PCRE upstream which fixes CVE-2016-10253
Comment 3 Arvid Requate univentionstaff 2018-05-07 16:09:51 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Installation Ok
* Advisory Ok
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:56:42 CEST
<http://errata.software-univention.de/ucs/4.2/373.html>